Debian Bug report logs - #506588
iscsitarget: lsb-ize the init script

version graph

Package: iscsitarget; Maintainer for iscsitarget is Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>; Source for iscsitarget is src:iscsitarget.

Reported by: kirkland@canonical.com

Date: Sat, 22 Nov 2008 20:48:01 UTC

Severity: normal

Tags: patch

Found in version iscsitarget/0.4.16+svn162-2

Fixed in version iscsitarget/1.4.20-1

Done: Ritesh Raj Sarraf <rrs@researchut.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philipp Hug <debian@hug.cx>:
Bug#506588; Package iscsitarget. (Sat, 22 Nov 2008 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to kirkland@canonical.com:
New Bug report received and forwarded. Copy sent to Philipp Hug <debian@hug.cx>. (Sat, 22 Nov 2008 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dustin Kirkland <kirkland@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iscsitarget: lsb-ize the init script
Date: Sat, 22 Nov 2008 14:45:13 -0600
[Message part 1 (text/plain, inline)]
Package: iscsitarget
Version: 0.4.16+svn162-2
Severity: normal
Tags: patch

This patch, from Ubuntu, makes the iscitarget an LSB-style init script,
with more consistent reporting.

It also makes the module unloading in the "stop" action a non-fatal
error.  Appropriate error messages are logged, but they do not cause the
init script to exit non-zero.

:-Dustin
[iscsitarget.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ritesh Raj Sarraf <rrs@researchut.com>:
You have taken responsibility. (Fri, 23 Apr 2010 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to kirkland@canonical.com:
Bug acknowledged by developer. (Fri, 23 Apr 2010 19:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 506588-close@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: 506588-close@bugs.debian.org
Subject: Bug#506588: fixed in iscsitarget 1.4.20-1
Date: Fri, 23 Apr 2010 19:02:09 +0000
Source: iscsitarget
Source-Version: 1.4.20-1

We believe that the bug you reported is fixed in the latest version of
iscsitarget, which is due to be installed in the Debian FTP archive:

iscsitarget-source_1.4.20-1_all.deb
  to main/i/iscsitarget/iscsitarget-source_1.4.20-1_all.deb
iscsitarget_1.4.20-1.diff.gz
  to main/i/iscsitarget/iscsitarget_1.4.20-1.diff.gz
iscsitarget_1.4.20-1.dsc
  to main/i/iscsitarget/iscsitarget_1.4.20-1.dsc
iscsitarget_1.4.20-1_i386.deb
  to main/i/iscsitarget/iscsitarget_1.4.20-1_i386.deb
iscsitarget_1.4.20.orig.tar.gz
  to main/i/iscsitarget/iscsitarget_1.4.20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506588@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ritesh Raj Sarraf <rrs@researchut.com> (supplier of updated iscsitarget package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Apr 2010 21:34:09 +0530
Source: iscsitarget
Binary: iscsitarget iscsitarget-source
Architecture: source i386 all
Version: 1.4.20-1
Distribution: unstable
Urgency: low
Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
Changed-By: Ritesh Raj Sarraf <rrs@researchut.com>
Description: 
 iscsitarget - iSCSI Enterprise Target userland tools
 iscsitarget-source - iSCSI Enterprise Target kernel module source
Closes: 506588 546477 566509
Changes: 
 iscsitarget (1.4.20-1) unstable; urgency=low
 .
   [ Philipp Hug ]
   * This package is group maintained now
   * Changed maintainer to alioth project mailing list
 .
   [ Ritesh Raj Sarraf ]
   * New Upstream Release (Closes: #566509)
   * Add myself to Uploaders
   * LSB-ize the iscsitarget init script (Closes: #506588, #546477)
   * Add misc:Depends
   * Bump Standards Version. (No Changes Required)
   * Add DM Upload: yes
   * Add debian/source/format specifying the source format
   * Explain a little more about iscsitarget-module package and how it is
     made available, in README.Debian
   * Add Vcs headers
Checksums-Sha1: 
 9c7fc980bd49bb5eefc559bc6458395e2b5bf664 1396 iscsitarget_1.4.20-1.dsc
 5215755f3313a49d9f3da9e571e64debbe10d269 135377 iscsitarget_1.4.20.orig.tar.gz
 1aafc00d4716f2ca0432c84fd512d50c03db7597 7302 iscsitarget_1.4.20-1.diff.gz
 0dc7cb578b9c59d8bf87146e38939b8e429363b8 66830 iscsitarget_1.4.20-1_i386.deb
 ac4723dc0717aaf5f838931130a65d9df27704b8 55136 iscsitarget-source_1.4.20-1_all.deb
Checksums-Sha256: 
 acfa63743083f0786e74c980033252353991ecb460afc32f1973f2a7ee02c16e 1396 iscsitarget_1.4.20-1.dsc
 b762579559ee47840ff5808392cc57224475434369bbcdb4e407f75dac1b1cba 135377 iscsitarget_1.4.20.orig.tar.gz
 fd34a2155a99fbe0573aec3d9db9d958f8b8446fcb6aa63577057bba24b56a14 7302 iscsitarget_1.4.20-1.diff.gz
 c4b9547c47d43a5430c365852626694b4a8f52480478405fe720028a61c2bf6f 66830 iscsitarget_1.4.20-1_i386.deb
 c0a151615690fd36f1d821e2114c87defb8967b42eff501d2ca953b5e1afcbfc 55136 iscsitarget-source_1.4.20-1_all.deb
Files: 
 3048f344f54ba67fb03bce7265745e9a 1396 net optional iscsitarget_1.4.20-1.dsc
 9564687fec734c291b13d25a54322e8a 135377 net optional iscsitarget_1.4.20.orig.tar.gz
 ac9aa41bc86a5a1f324a35afd638cdb4 7302 net optional iscsitarget_1.4.20-1.diff.gz
 06f53771e7489a014ddb941a28c090fd 66830 net optional iscsitarget_1.4.20-1_i386.deb
 b0e712e37b156eac371c79ef524b9879 55136 net optional iscsitarget-source_1.4.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL0e0jn88szT8+ZCYRAl2/AJ9at5+lAYM1Uuc9kuKFZDtbfg6kmwCfVW/t
XNZP8AqCE2Q5aqigx6EVDd0=
=TXkD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 May 2010 07:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:41:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.